import 'package:get/get.dart';

class Translation extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        'ru_RU': {
          'start': 'Начать',
          'description':
              'Приложение погоды, которое предоставляет прогнозы в режиме реального времени, а также ежечасные, ежедневные и еженедельные прогнозы для любого местоположения.',
          'name': 'Погода',
          'search': 'Поиск...',
          'searchCity': 'Найдите свой город',
          'humidity': 'Влажность',
          'wind': 'Ветер',
          'visibility': 'Видимость',
          'feels': 'Ощущается',
          'evaporation': 'Испарения',
          'precipitation': 'Осадки',
          'direction': 'Напрвление',
          'pressure': 'Давление',
          'rain': 'Дождь',
          'clear_sky': 'Чистое небо',
          'cloudy': 'Облачно',
          'overcast': 'Пасмурно',
          'fog': 'Туман',
          'drizzle': 'Морось',
          'drizzling_rain': 'Моросящий дождь',
          'freezing_rain': 'Ледяной дождь',
          'heavy_rains': 'Ливневые дожди',
          'snow': 'Снег',
          'thunderstorm': 'Гроза',
          'km/h': 'км/ч',
          'km': 'км',
          'mm': 'мм',
          'hPa': 'ГПа',
          'settings': 'Настр.',
          'no_inter': 'Нет интернета',
          'on_inter':
              'Включите интернет для получения метеорологических данных.',
          'location': 'Местоположение',
          'no_location':
              'Включите службу определения местоположения для получения метеорологических данных для текущего местоположения.',
          "about": "О нас",
          "aboutDesc":
              "Это проект с открытым исходным кодом.\nЕсли вам понравилась наша работа поставьте несколько 🌟 и ❤ на репозитории",
          "author": "Сделано с ❤ от",
          "theme": "Тёмная тема",
          "low": "Низкое",
          "high": "Высокое",
          "normal": "Нормальное",
          "lat": "Широта",
          "lon": "Долгота",
          "notFound": "Ничего не найдено",
          "enter_name": "Введите название",
          "create": "Создание",
          "city": "Город",
          "district": "Район",
          "noWeatherCard": "Добавьте город",
          "deletedCardWeather": "Удаление города",
          "deletedCardWeatherQuery": "Вы уверены что хотите удалить город?",
          "delete": "Удалить",
          "cancel": "Отмена",
          "time": "Время в городе",
          "validateName": "Пожалуйста, введите название",
        },
        'en_US': {
          'start': 'Get Started',
          'description':
              'Weather app that provides real-time forecasts, and hourly, daily and weekly forecasts for any location.',
          'name': 'Weather',
          'search': 'Search...',
          'searchCity': 'Find your city',
          'humidity': 'Humidity',
          'wind': 'Wind',
          'visibility': 'Visibility',
          'feels': 'Feels',
          'evaporation': 'Evapotranspiration',
          'precipitation': 'Precipitation',
          'direction': 'Direction',
          'pressure': 'Pressure',
          'rain': 'Rain',
          'clear_sky': 'Clear sky',
          'cloudy': 'Cloudy',
          'overcast': 'Overcast',
          'fog': 'Fog',
          'drizzle': 'Drizzle',
          'drizzling_rain': 'Freezing Drizzle',
          'freezing_rain': 'Freezing Rain',
          'heavy_rains': 'Rain showers',
          'snow': 'Snow',
          'thunderstorm': 'Thunderstorm',
          'km/h': 'km/h',
          'km': 'km',
          'mm': 'mm',
          'hPa': 'hPa',
          'settings': 'Set.',
          'no_inter': 'There is no Internet',
          'on_inter': 'Turn on the Internet to get meteorological data.',
          'location': 'Location',
          'no_location':
              'Enable the location service to get weather data for the current location.',
          "about": "About us",
          "aboutDesc":
              "This is an open source project.\nif you liked our work, put a few 🌟 and ❤ on the repositories",
          "author": "Made with ❤ from",
          "theme": "Dark theme",
          "low": "Low",
          "high": "High",
          "normal": "Normal",
          "lat": "Latitude",
          "lon": "Longitude",
          "notFound": "Nothing found",
          "enter_name": "Enter a name",
          "create": "Create",
          "city": "City",
          "district": "District",
          "noWeatherCard": "Add a city",
          "deletedCardWeather": "Deleting a city",
          "deletedCardWeatherQuery":
              "Are you sure you want to delete the city?",
          "delete": "Delete",
          "cancel": "Cancel",
          "time": "Time in the city",
          "validateName": "Please enter the name",
        },
        'it_IT': {
          'start': 'Clicca per iniziare',
          'description':
              'App meteo che fornisce previsioni in tempo reale, oltre a previsioni orarie, giornaliere e settimanali per qualsiasi località.',
          'name': 'Meteo',
          'search': 'Cerca...',
          'searchCity': 'Trova la tua città',
          'humidity': 'Umidità',
          'wind': 'Vento',
          'visibility': 'Visibilità',
          'feels': 'Percepiti',
          'evaporation': 'Evapotraspirazione',
          'precipitation': 'Precipitazione',
          'direction': 'Direzione',
          'pressure': 'Pressione',
          'rain': 'Pioggia',
          'clear_sky': 'Cielo sereno',
          'cloudy': 'Nuvoloso',
          'overcast': 'Coperto',
          'fog': 'Nebbia',
          'drizzle': 'Pioggerella',
          'drizzling_rain': 'Pioggerella Gelata',
          'freezing_rain': 'Pioggia Gelata',
          'heavy_rains': 'Acquazzone',
          'snow': 'Neve',
          'thunderstorm': 'Temporale',
          'settings': 'Imp.',
          'no_inter': 'Non c\'è connessione Internet',
          'on_inter':
              'Attiva la connessione Internet per avere dati meteorologici.',
          'location': 'Località',
          'no_location':
              'Abilita il servizio di localizzazione per ottenere i dati meteo per la posizione corrente.',
          "about": "Chi siamo",
          "aboutDesc":
              "Questo è un progetto open source.\nSe ti è piaciuto il nostro lavoro, metti delle 🌟 e ❤ sui repository.",
          "author": "Fatto con il ❤ da",
          "theme": "Tema scuro",
          "low": "Basso",
          "high": "Alto",
          "normal": "Normale",
          "lat": "Latitudine",
          "lon": "Longitudine",
          "notFound": "Niente trovato",
          "enter_name": "Inserisci un nome",
          "create": "Creare",
          "city": "Citta",
          "district": "La zona",
          "noWeatherCard": "Aggiungi una città",
          "deletedCardWeather": "Rimozione della città",
          "deletedCardWeatherQuery": "Sei sicuro di voler rimuovere una città?",
          "delete": "Eliminare",
          "cancel": "Annullare",
          "time": "Tempo in città",
          "validateName": "Si prega di inserire il titolo",
        },
      };
}
